package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.FloodEmergencyPlan;

/**
 * 应急预案库Mapper接口
 *
 * @author jackeyhuang
 * @version 1.0.0
 * @date 2025-01-27
 */
public interface FloodEmergencyPlanMapper
{
    /**
     * 查询应急预案库
     *
     * @param planId 应急预案库主键
     * @return 应急预案库
     */
    public FloodEmergencyPlan selectFloodEmergencyPlanByPlanId(Long planId);

    /**
     * 查询应急预案库列表
     *
     * @param floodEmergencyPlan 应急预案库
     * @return 应急预案库集合
     */
    public List<FloodEmergencyPlan> selectFloodEmergencyPlanList(FloodEmergencyPlan floodEmergencyPlan);

    /**
     * 新增应急预案库
     *
     * @param floodEmergencyPlan 应急预案库
     * @return 结果
     */
    public int insertFloodEmergencyPlan(FloodEmergencyPlan floodEmergencyPlan);

    /**
     * 修改应急预案库
     *
     * @param floodEmergencyPlan 应急预案库
     * @return 结果
     */
    public int updateFloodEmergencyPlan(FloodEmergencyPlan floodEmergencyPlan);

    /**
     * 删除应急预案库
     *
     * @param planId 应急预案库主键
     * @return 结果
     */
    public int deleteFloodEmergencyPlanByPlanId(Long planId);

    /**
     * 批量删除应急预案库
     *
     * @param planIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFloodEmergencyPlanByPlanIds(Long[] planIds);

    /**
     * 统计应急预案总数
     *
     * @return 应急预案总数
     */
    public int countFloodEmergencyPlan();
}
